NTPD(8)

NAME
ntpd - Network Time Protocol daemon

SYNOPSIS
ntpd [-dSs] [-f file]

DESCRIPTION
The ntpd daemon synchronizes the local clock to one or more remote NTP servers, and can also act as an NTP server itself, redistributing the local time. It implements the Simple Network Time Protocol version 4, as described in RFC 2030, and the Network Time Protocol version 3, as described in RFC 1305.

ntpd uses the adjtime(2) system call to correct the local system time without causing time jumps. Adjustments larger than 128ms are logged using syslog(3). The threshold value is chosen to avoid having local clock drift thrash the log files. Should ntpd be started with the -d option, all calls to adjtime(2) will be logged.

ntpd is usually started at boot time, and can be enabled by setting the following in /etc/rc.conf.local:

    ntpd_flags=""

See rc(8) and rc.conf(8) for more information on the boot process and enabling daemons.

When ntpd starts up, it reads settings from a configuration file, typically ntpd.conf(5).

The options are as follows:

-d  Do not daemonize. If this option is specified, ntpd will run in the foreground and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/ntpd.conf.

-S  Do not set the time immediately at startup. This is the default.

-s  Set the time immediately at startup if the local clock is off by more than 180 seconds. Allows for a large time correction, eliminating the need to run rdate(8) before starting ntpd.

FILES
/etc/ntpd.conf
    default ntpd configuration file

SEE ALSO
date(1), adjtime(2), ntpd.conf(5), rc(8), rc.conf(8), rdate(8), timed(8) RFC 1305, Network Time Protocol (Version 3), March 1992. RFC 2030, Simple Network Time Protocol (SNTP) Version 4, October 1996.

HISTORY
The ntpd program first appeared in OpenBSD 3.6.